GR-SATELLITES(1)

NAME
gr_satellites - gr-satellites is a GNU Radio command line decoder for the telemetry of Amateur satellites.

SYNOPSIS
gr_satellites satellite [options]

DESCRIPTION

gr-satellites is a GNU Radio out-of-tree module encompassing a collection of telemetry decoders that supports many different Amateur satellites. It supports most popular protocols, such as AX.25, the GOMspace NanoCom U482C and AX100 modems, an important part of the CCSDS stack, the AO-40 protocol used in the FUNcube satellites, and several ad-hoc protocols used in other satellites.

The gr_satellites command line tool can be used to decode frames from each of the supported satellites by using either real-time RF samples from an SDR or conventional radio, or a recording.

OPTIONS
The satellite parameter can be specified using name, NORAD ID or path to YAML file. The set of available options will change depending on the satellite, so it is mandatory to specify a satellite even to print the full help.

The options shown below are for the satellite AO-73. Other satellites have slightly different options.

  General options

-h, --help
    show the help message and exit

--version
    show program's version number and exit

--list_satellites
    list supported satellites and exit

  Input options

--wavfile WAVFILE
    WAV/OGG/FLAC input file (using libsndfile)

--rawfile RAWFILE
    RAW input file (float32 or complex64)

--rawint16 RAWINT16
    RAW input file (int16)

--audio [DEVICE]
    Soundcard device input

--udp
    Use UDP input

--kiss_in KISS_IN
    KISS input file

--sigmf SIGMF
    SigMF input file

--samp_rate SAMP_RATE
    Sample rate (Hz)

--udp_ip UDP_IP
    UDP input listen IP [default='::']

--udp_port UDP_PORT
    UDP input listen port [default='7355']

--iq
    Use IQ input

--input_gain INPUT_GAIN
    Input gain (can be negative to invert signal) [default=1]

--start_time START_TIME
    Recording start timestamp

--throttle
    Throttle recording input to 1x speed

  Output options

--kiss_out KISS_OUT
    KISS output file

--kiss_append
    Append to KISS output file

--kiss_server [PORT]
    Enable KISS server [default port=8100]

--kiss_server_address KISS_SERVER_ADDRESS
    KISS server bind address [default='127.0.0.1']

--zmq_pub [ADDRESS]
    Enable ZMQ PUB socket [default address=tcp://127.0.0.1:5555]

--hexdump
    Hexdump instead of telemetry parse

--dump_path DUMP_PATH
    Path to dump internal signals

  Demodulation options

--f_offset F_OFFSET
    Frequency offset (Hz) [default=1500 or 12000]

--rrc_alpha RRC_ALPHA
    RRC roll-off (Hz) [default=0.35]

--disable_fll
    Disable FLL

--fll_bw FLL_BW
    FLL bandwidth (Hz) [default=25]

--clk_bw CLK_BW
    Clock recovery bandwidth (relative to baudrate) [default=0.06]

--clk_limit CLK_LIMIT
    Clock recovery limit (relative to baudrate) [default=0.02]

--costas_bw COSTAS_BW
    Costas loop bandwidth (Hz) [default=50]

--manchester_history MANCHESTER_HISTORY
    Manchester recovery history (symbols) [default=32]

  Deframing options

--syncword_threshold SYNCWORD_THRESHOLD
    Syncword bit errors [default=8]

--verbose_rs
    Verbose RS decoder

  Data sink

--telemetry_output TELEMETRY_OUTPUT
    Telemetry output file [default=stdout]

SEE ALSO
gr_satellites_ssdv(1), smog_p_spectrum(1)